{% set submitValue = submitValue|default('action.submit'|trans) %}

{{ form_start(form) }}


<div class="row">

    <div class="col-md-6">
        {# GENERAL INFORMATIONS #}
        <div class="box box-solid box-info">
            <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.general'|trans }}</h3></div>
            <div class="box-body">
                {{ form_row(form.name) }}
                {{ form_row(form.goal) }}
                {{ form_row(form.manager) }}
                {{ form_row(form.active) }}
                {{ form_row(form.legalBasis) }}
                {{ form_row(form.legalBasisJustification) }}
                {{ form_row(form.observation) }}
            </div>
        </div>

        {# DATA CATEGORY #}
        <div class="box box-solid box-warning">
            <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.data_category'|trans }}</h3></div>
            <div class="box-body">
                {{ form_row(form.dataCategories) }}
                {{ form_row(form.dataCategoryOther) }}
            </div>
        </div>

        {# RECIPIENTS #}
        <div class="box box-solid box-primary">
            <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.recipients'|trans }}</h3></div>
            <div class="box-body">
                {{ form_row(form.recipientCategory) }}
                {{ form_row(form.contractors) }}
            </div>
        </div>
    </div>

    <div class="col-md-6">
        {# DETAILS #}
        <div class="box box-solid box-primary">
            <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.details'|trans }}</h3></div>
            <div class="box-body">
                {{ form_row(form.concernedPeople) }}
                {{ form_row(form.software) }}
                {{ form_row(form.paperProcessing) }}
                <div class="delay-group">
                    <div class="form-group" style="margin-bottom: 0;">
                        {{ form_label(form.delay) }}
                        <div class="col-sm-10 one-line">
                            <div>{{ form_widget(form.delay.number) }}</div>
                            <div>{{ form_widget(form.delay.period) }}</div>
                        </div>
                    </div>
                    <div>{{ form_row(form.delay.otherDelay) }}</div>
                    <div>{{ form_row(form.delay.comment) }}</div>
                </div>
                {{ form_row(form.dataOrigin) }}
            </div>
        </div>

        {# SECURITY #}
        <div class="box box-solid box-success">
            <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.security'|trans }}</h3></div>
            <div class="box-body">
                {{ form_row(form.securityAccessControl) }}
                {{ form_row(form.securityTracability) }}
                {{ form_row(form.securitySaving) }}
                {{ form_row(form.securityUpdate) }}
                {{ form_row(form.securityOther) }}
                <div class="col-sm-12{% if not form.authorizedPeople.vars.valid %} has-error{% endif %}">
                    <div class="col-sm-1"></div>
                    <div class="col-sm-3">{{ form_label(form.authorizedPeople) }}</div>
                    <div class="col-sm-8 comment">
                        {{ form_widget(form.authorizedPeople) }}
                        {{ form_errors(form.authorizedPeople) }}
                    </div>
                </div>
            </div>
        </div>

        {# SPECIFIC #}
        <div class="box box-solid box-info">
            <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.specific'|trans }}</h3></div>
            <div class="box-body">
                {{ form_row(form.systematicMonitoring) }}
                {{ form_row(form.largeScaleCollection) }}
                {{ form_row(form.vulnerablePeople) }}
                {{ form_row(form.dataCrossing) }}
            </div>
        </div>
    </div>

</div>

<div class="row">
    <div class="col-md-12">
        <div class="box box-solid">
            <div class="box-body text-center">
                <a href="{{ path('registry_treatment_list') }}" class="btn btn-default">
                    {{ 'registry.treatment.action.back_to_list'|trans }}
                </a>
                <input type="submit" class="btn btn-primary" value="{{ submitValue }}">
            </div>
        </div>
    </div>
</div>

{{ form_end(form) }}

